---
title: Delete Delivery Option association with Exclusion Lists
slug: api-documentation/delete-delivery-option-association-with-exclusion-lists
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "RbPMq8P8zByOYR2ZQ4NM5",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption}"
      }
    ],
    "name": "Delete Delivery Option association with Exclusion Lists",
    "description": "<p>This endpoint is used to delete delivery option association with exclusion lists for DMC.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.delete</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK-the delivery option association is deleted successfully.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "w54nlNYkTiDTskkYpVYOw",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "CJzrWiZKqoCSrxZfCfPkA",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "UEspK0aYvqGPG5XUNqK4M",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "lBYXluL00bLfRIdPtYOao",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-delivery-option-exclusion-list/{deliveryOption}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "w54nlNYkTiDTskkYpVYOw"
    },
    "results": {
      "languages": [
        {
          "id": "WE4idmxkltYNbLeAeuYsZ",
          "language": "200",
          "code": "// OK-the delivery option association is deleted successfully.\n"
        },
        {
          "id": "j3Lvo4UfvM0N3TrIWDWHv",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "WE4idmxkltYNbLeAeuYsZ"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}